OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray2OfBoundedSurface Class Reference

`#include <PColPGeom_HArray2OfBoundedSurface.hxx>`

## Public Member Functions
Standard_EXPORT | PColPGeom_HArray2OfBoundedSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColPGeom_HArray2OfBoundedSurface (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const Handle(PGeom_BoundedSurface)&V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Handle(PGeom_BoundedSurface)&Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT Handle_PGeom_BoundedSurface | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray2OfBoundedSurface ()
| PColPGeom_HArray2OfBoundedSurface (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyLowerRow () const
void | _CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyLowerCol () const
void | _CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyUpperRow () const
void | _CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyUpperCol () const
void | _CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyUpperCol (const Standard_Integer p)
const PColPGeom_FieldOfHArray2OfBoundedSurface & | _CSFDB_GetPColPGeom_HArray2OfBoundedSurfaceData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColPGeom_FieldOfHArray2OfBoundedSurface | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColPGeom_FieldOfHArray2OfBoundedSurface | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray2OfBoundedSurface::PColPGeom_HArray2OfBoundedSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColPGeom_HArray2OfBoundedSurface::PColPGeom_HArray2OfBoundedSurface | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const Handle(PGeom_BoundedSurface)& | V
| ) |

PColPGeom_HArray2OfBoundedSurface::PColPGeom_HArray2OfBoundedSurface | ( |  | ) | `[inline]`

PColPGeom_HArray2OfBoundedSurface::PColPGeom_HArray2OfBoundedSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray2OfBoundedSurface& PColPGeom_HArray2OfBoundedSurface::_CSFDB_GetPColPGeom_HArray2OfBoundedSurfaceData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::_CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::_CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::_CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::_CSFDB_GetPColPGeom_HArray2OfBoundedSurfacemyUpperRow | ( |  | ) | const`[inline]`

void PColPGeom_HArray2OfBoundedSurface::_CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBoundedSurface::_CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBoundedSurface::_CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray2OfBoundedSurface::_CSFDB_SetPColPGeom_HArray2OfBoundedSurfacemyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfBoundedSurface::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColPGeom_HArray2OfBoundedSurface::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray2OfBoundedSurface PColPGeom_HArray2OfBoundedSurface::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray2OfBoundedSurface::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray2OfBoundedSurface::LowerCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfBoundedSurface::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColPGeom_HArray2OfBoundedSurface::RowLength | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray2OfBoundedSurface::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Handle(PGeom_BoundedSurface)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray2OfBoundedSurface::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray2OfBoundedSurface::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::UpperCol | ( |  | ) | const

Standard_Integer PColPGeom_HArray2OfBoundedSurface::UpperRow | ( |  | ) | const

Standard_EXPORT Handle_PGeom_BoundedSurface PColPGeom_HArray2OfBoundedSurface::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColPGeom_FieldOfHArray2OfBoundedSurface PColPGeom_HArray2OfBoundedSurface::Data`[private]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::myLowerCol`[private]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::myLowerRow`[private]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::myUpperCol`[private]`

Standard_Integer PColPGeom_HArray2OfBoundedSurface::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray2OfBoundedSurface.hxx